@import url('https://fonts.googleapis.com/css2?family=Chewy&family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&family=Pacifico&display=swap');

:root {
    --bg-main: white;
    /* Re-introducing palette for circles */
    --col-blue-light: #CFDCE4;
    --col-green: #9FB6A6;
    --col-pink-dusty: #E8C4C4;
    --col-bg-secondary: #E9D8CF;
    --text-white: white;
}

.pacifico-regular {
    font-family: "Pacifico", cursive;
    font-weight: 400;
    font-style: normal;
}

.nunito-sans {
    font-family: "Nunito Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:
        "wdth" 100,
        "YTLC" 500;
}

.chewy-regular {
  font-family: "Chewy", system-ui;
  font-weight: 400;
  font-style: normal;
}

html {
    background-color: var(--col-bg-secondary);
}

.container {
    background-color: var(--bg-main);
    max-width: 1100px;
}

/* Wavy Hero Section */
.hero {
    background-color: white
}

.about {
    background-color: var(--col-green);
    color: white;
    border-radius: 20px;
}

.about p {
    font-size: clamp(1rem, 1.5vw, 1.125rem);
    line-height: clamp(1.5, 2vw, 1.8);
}

.banner {
    background-color: #C17F6B;
    color: var(--col-bg-secondary);
    padding: 15px;
    margin-bottom: 30px;
    margin-top: 20px;
}

/* Circle Styles */
.circles {
    margin-bottom: 50px;
    margin-top: 50px;
}

.circle {
    font-size: clamp(1rem, 2.5vw, 1.5rem);
    width: 200px;
    height: 200px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin: 0 auto;
    /* Center in column */
    padding: 20px;
    color: white;
    font-weight: bold;
    line-height: 1.4;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.circle-blue {
    background-color: var(--col-blue-light);
}

.circle-green {
    background-color: var(--col-green);
}

.circle-pink {
    background-color: var(--col-pink-dusty);
}

.wave-path {
    display: block;
    width: 100%;
    height: 100px;

}


.vertical-section {
    /* display: flex; */
    height: 600px;
    /* or any section height */
}

.left,
.right {
    flex: 0;
    padding: 20px;
}

.divider {
    width: 100px;
    /* wave width */
    position: relative;
}

.v-wave {
    height: 100%;
    width: 100%;
    display: block;
}


/* Small devices (phones) */
@media (max-width: 640px) {
    .hero img {
        width: 80%;
    }

    .about p {
        font-size: 1.2rem;
    }

    .about img {
        width: 45%;
        min-width: 200px;
    }

    .circle {
        width: 120px;
        height: 120px;
        margin-bottom: 25px;
    }
}

@media (min-width: 641px) {
    .hero img {
        width: 40%;
    }
}

@media (max-width: 768px) {
    .about img {
        width: 45%;
    }
}

@media (min-width: 768px) {
    .about img {
        width: 80%;
    }
}